---
title: "Create approval request"
url: https://hexelstudio.com/docs/api/ciam-iam/approvals/create-approval-request
---

# Create approval request

**POST** `/approvals/requests`

The workflow must belong to the caller's organization; the requester is the caller.

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Body parameters

- `created_at: optional string`

- `expires_at: optional string`

- `id: optional string`

- `reason: optional string`

- `request_data: optional array of integer`

- `request_type: optional string`

- `requester_user_id: optional string`

- `status: optional string`

- `updated_at: optional string`

- `workflow_id: optional string`

## Returns

`201` Created (`ApprovalRequest`)

- `created_at: optional string`

- `expires_at: optional string`

- `id: optional string`

- `reason: optional string`

- `request_data: optional array of integer`

- `request_type: optional string`

- `requester_user_id: optional string`

- `status: optional string`

- `updated_at: optional string`

- `workflow_id: optional string`

## Errors

- `400` Bad Request
- `404` Not Found

## Example

```bash
curl --request POST \
  --url 'https://api.hexelstudio.com/v1/approvals/requests' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'Content-Type: application/json' \
  --data '{
  "created_at": "2026-01-01T00:00:00Z",
  "expires_at": "2026-01-01T00:00:00Z",
  "id": "string",
  "reason": "string",
  "request_data": [
    0
  ],
  "request_type": "string",
  "requester_user_id": "string",
  "status": "string",
  "updated_at": "2026-01-01T00:00:00Z",
  "workflow_id": "string"
}'
```

### Response (201)

```json
{
  "created_at": "2026-01-01T00:00:00Z",
  "expires_at": "2026-01-01T00:00:00Z",
  "id": "string",
  "reason": "string",
  "request_data": [
    0
  ],
  "request_type": "string",
  "requester_user_id": "string",
  "status": "string",
  "updated_at": "2026-01-01T00:00:00Z",
  "workflow_id": "string"
}
```

### Response (400)

```json
{
  "key": "string"
}
```

### Response (404)

```json
{
  "key": "string"
}
```
